Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class UnsavedValueFactory

    java.lang.Object
      org.hibernate.engine.UnsavedValueFactory

    public class UnsavedValueFactory

extends Object

Author:
  Gavin King

Constructor Summary
`UnsavedValueFactory()`

Method Summary
`static IdentifierValue` | `getUnsavedIdentifierValue(String unsavedValue, Getter identifierGetter, Type identifierType, Constructor constructor)` Return an IdentifierValue for the specified unsaved-value.
`static VersionValue` | `getUnsavedVersionValue(String versionUnsavedValue, Getter versionGetter, VersionType versionType, Constructor constructor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsavedValueFactory

    public UnsavedValueFactory()

Method Detail

### getUnsavedIdentifierValue

    public static IdentifierValue getUnsavedIdentifierValue(String unsavedValue,
                                                            Getter identifierGetter,
                                                            Type identifierType,
                                                            Constructor constructor)

  Return an IdentifierValue for the specified unsaved-value. If none is specified, guess the unsaved value by instantiating a test instance of the class and reading it's id property, or if that is not possible, using the java default value for the type

### getUnsavedVersionValue

    public static VersionValue getUnsavedVersionValue(String versionUnsavedValue,
                                                      Getter versionGetter,
                                                      VersionType versionType,
                                                      Constructor constructor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD